Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Time Struct Reference

Holds MySQL times. More...

`#include <datetime.h>`

Inheritance diagram for mysqlpp::Time:

[legend]
Collaboration diagram for mysqlpp::Time:

[legend]
List of all members.

## Public Methods
| Time ()
| Default constructor.
| Time (cchar *str)
| Initialize object from a MySQL time string.
| Time (const ColData &str)
| Initialize object from a MySQL time string.
| Time (const std::string &str)
| Initialize object from a MySQL time string.
short int | compare (const Time &other) const
| Compare this time to another.

## Detailed Description

Holds MySQL times.

Objects of this class can be inserted into streams, and initialized from MySQL TIME strings.

## Constructor & Destructor Documentation

mysqlpp::Time::Time | ( | cchar * | str | ) | `[inline]`

| Initialize object from a MySQL time string. String must be in the HH:MM:SS format. It doesn't have to be zero-padded.

mysqlpp::Time::Time | ( | const ColData & | str | ) | `[inline]`

| Initialize object from a MySQL time string. See also: Time(cchar*)

mysqlpp::Time::Time | ( | const std::string & | str | ) | `[inline]`

| Initialize object from a MySQL time string. See also: Time(cchar*)

## Member Function Documentation

short int mysqlpp::Time::compare | ( | const Time & | other | ) | const`[inline, virtual]`

| Compare this time to another. See also: mysql_time::compare() for implementation Implements mysqlpp::DTbase< Time >.

The documentation for this struct was generated from the following file:

- datetime.h